;**********************************************************************
 	lIST      P=16F874            ;   
	#include <C:\Program Files\Microchip\MPASM Suite\p16f874.inc>	
	__CONFIG _CP_OFF & _WDT_OFF & _BODEN_ON & _PWRTE_OFF & _XT_OSC & _WRT_ENABLE_ON & _LVP_ON & _DEBUG_OFF & _CPD_OFF 


TRISEA      EQU         0x05
TRISEB      EQU         0x06 
TRISEC      EQU         0x07 
TRISED      EQU         0x08 
TRISEE      EQU         0x09


Temp1       equ         2Ch
Temp2       equ         2Dh
Temp3       equ         2Eh

time3       equ         25h
time2       equ         26h
time1       equ         22h


F           equ         1           ;    .

;  
;**********************************************************************
            org         0           ;      0 PC.
            goto        START
START
            bsf         STATUS,RP0  ;   1-  
            movlw       .0          ; 
            movwf       TRISEA      ;  
            movwf       TRISEB      ;  
            movwf       TRISEC      ;  
            movwf       TRISED      ;  
            movwf       TRISEE      ;  
            bcf         STATUS,RP0  ;   0-  

On          decf        Temp1,F
            btfsc       Temp1,0
            goto        Rec_1       ; 
            goto        Rec_0       ; 
            goto        RecT2       ; 
       
Rec_1       movlw       .255        ; 
            movwf       PORTA       ; 
            movwf       PORTB       ;
            movwf       PORTC       ;
            movwf       PORTD       ;
            movwf       PORTE       ;
            goto        RecT2

Rec_0       movlw       .0          ; 
            movwf       PORTA       ;
            movwf       PORTB       ;
            movwf       PORTC       ;
            movwf       PORTD       ;
            movwf       PORTE       ;

RecT2     ;  call        Pause       ;
            goto        On


;-----------------------------------------------------------------------------------------------
;   
;-----------------------------------------------------------------------------------------------
Pause       movlw       .7          ;
            movwf       time3       ; 

t111        decfsz      time1,F     ;    SecH.
            goto        t111        ;    =0 -    CYCLE.  
            decfsz      time2,F     ;    SecH.
            goto        t111        ;    =0 -    CYCLE. 
            decfsz      time3,F     ;    SecH.
            goto        t111        ;    =0 -    CYCLE. 
            return


;***********************************************************************************************                        
            end                     ;